Is SMARTSDR V1.XX supported with new releases in the future?

  • 1
  • Question
  • Updated 1 year ago
  • Answered
Hello,
today I tried to upgrade to V2.xx and posted a angry message, after asking for license and $199 + VAT. This is about 10% of the new FLEX6300, that I bought in march 2016, a lot of money!
I am mostly interested in performance improvements, not so in the new features at all.
In one post of Ria N2RJ I read that the improvements of dynamic range will be in V1.11.xx
I highly appreciate that the V1.1xx Software seems to be supported in the future too.
The last release of the V1.1xx was in february 2017, so I believed that the end of support comes automatically with the realease of V2.xx. - I hope the new release V1.11.x comes before the christmas 2017! ?

But do we really get future upgrades in the V1.1xx SMARTSDR?
If it is so, I have no reason to Upgrade to V2.xx


Best regards 73 de DL2KBQ
Photo of Horst-A. Guenther

Horst-A. Guenther

  • 9 Posts
  • 2 Reply Likes

Posted 1 year ago

  • 1
Photo of Ria - N2RJ

Ria - N2RJ, Elmer

  • 2254 Posts
  • 879 Reply Likes
Official Response
1.x is feature complete. This means that there will be no new features added to it.
However, there will be maintenance releases with fixes as warranted. For example, 1.11 will have the 6300 receiver improvements, WinKey and (potential) general stability improvements. However it will not have new features in 2.0 such as SmartLink and pop out windows. 

The reason to upgrade to 2.x is simple - new features will be added to 2.x They will not be added to 1.x. That's the most compelling reason to go to 2.0.

But if you like your 1.x you can keep your 1.x. Your radio will continue to work forever with 1.x (as long as the hardware works). 

Ria